// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import navBar from '@/components/navBar/index.vue'
import tabBar from '@/components/tabBar/index.vue'
Vue.component('navBar', navBar)
Vue.component('tabBar', tabBar)

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)



import store from 'store/index.js'
Vue.prototype.$store = store

Vue.prototype.$picBase = 'https://hb.swdz.com/static/other/'
Vue.prototype.$picBase2 = 'https://hb.swdz.com/static/other/'
Vue.prototype.$ossBaseUrl = 'https://zhengda.oss-cn-chengdu.aliyuncs.com/'

Vue.prototype.$appId = 'wxa7481605ea99a9a0'
Vue.prototype.$shareType = 0

import uploadUrl from '@/common/config.js'
// Vue.prototype.$picUrl = uploadUrl.picUrl
// Vue.prototype.$picBase = uploadUrl.picBase

// import store from "@/store";

// let vuexStore = require('@/store/$t.mixin.js');

// Vue.mixin(vuexStore);

// 常见功能函数封装
Vue.prototype.$toast = (title, icon = "none", duration = 1500) => {
	uni.showToast({
		title,
		icon,
		duration
	})
}

// 引入请求封装 
require('./utils/request/index')(app)


Vue.config.productionTip = false


App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif